# FoundationClasses
TKMath
Poly

# Poly_Polygon2D Class Reference

Provides a polygon in 2D space (for example, in the
parametric space of a surface). It is generally an
approximate representation of a curve.
A Polygon2D is defined by a table of nodes. Each node is
a 2D point. If the polygon is closed, the point of closure is
repeated at the end of the table of nodes.
.

`#include <Poly_Polygon2D.hxx>`

Inheritance diagram for Poly_Polygon2D:

[legend]

## Public Member Functions

Standard_EXPORT | Poly_Polygon2D (const TColgp_Array1OfPnt2d &Nodes)
| Constructs a 2D polygon defined by the table of points, <nodes>. .
Standard_EXPORT Standard_Real | Deflection () const

Returns the deflection of this polygon.
Deflection is used in cases where the polygon is an
approximate representation of a curve. Deflection
represents the maximum distance permitted between any
point on the curve and the corresponding point on the polygon.
By default the deflection value is equal to 0. An algorithm
using this 2D polygon with a deflection value equal to 0
considers that it is working with a true polygon and not with
an approximate representation of a curve. The Deflection
function is used to modify the deflection value of this polygon.
The deflection value can be used by any algorithm working with 2D polygons.
For example:
- An algorithm may use a unique deflection value for all
its polygons. In this case it is not necessary to use the
Deflection function.
- Or an algorithm may want to attach a different
deflection to each polygon. In this case, the Deflection
function is used to set a value on each polygon, and
later to fetch the value.
.

Standard_EXPORT void | Deflection (const Standard_Real D)
| Sets the deflection of this polygon to D .
Standard_Integer | NbNodes () const
| Returns the number of nodes in this polygon. Note: If the polygon is closed, the point of closure is repeated at the end of its table of nodes. Thus, on a closed triangle, the function NbNodes returns 4. .
Standard_EXPORT const TColgp_Array1OfPnt2d & | Nodes () const
| Returns the table of nodes for this polygon. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myDeflection
Standard_Integer | myNbNodes
TColgp_Array1OfPnt2d | myNodes

## Constructor & Destructor Documentation

Standard_EXPORT Poly_Polygon2D::Poly_Polygon2D | ( | const TColgp_Array1OfPnt2d & | Nodes | ) |

## Member Function Documentation

Standard_EXPORT void Poly_Polygon2D::Deflection | ( | const Standard_Real | D | ) |

Standard_EXPORT Standard_Real Poly_Polygon2D::Deflection | ( |  | ) | const

Standard_EXPORT const Poly_Polygon2D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_Integer Poly_Polygon2D::NbNodes | ( |  | ) | const`[inline]`

Standard_EXPORT const TColgp_Array1OfPnt2d& Poly_Polygon2D::Nodes | ( |  | ) | const

## Field Documentation

Standard_Real Poly_Polygon2D::myDeflection `[private]`

Standard_Integer Poly_Polygon2D::myNbNodes `[private]`

TColgp_Array1OfPnt2d Poly_Polygon2D::myNodes `[private]`

The documentation for this class was generated from the following files:

- Poly_Polygon2D.hxx
- Poly_Polygon2D.lxx